%
% Homework Title
% Renew:
%   - Title
%   - Due date
% Fixed:
%   - Class
%   - Section/Time
%   - Instructor
%   - Author
%

\newcommand{\hmwkTitle}{Exercise\ \#x}
\newcommand{\hmwkDueDate}{Month x, year}
\newcommand{\hmwkClass}{Mathematical aspects in computational chemistry 2020}
\newcommand{\hmwkClassTime}{xxx}
\newcommand{\hmwkClassInstructor}{Prof. Benjamin Stamm\\Loris Cairano}
\newcommand{\hmwkAuthorName}{\textbf{Johannes Wasmer 90800}}



%
% Setup Task Sections; Option A
%
% Usage example:
% \section{DoThat}
% \label{sec:dothat}
% Do that.
% \subsection{That}
% \label{sec:that}
% That is that.
% 
%

% % optional: add section prefixes, e.g. for homework tasks
% \renewcommand{\thesection}{Task \arabic{section}} 
% \renewcommand{\thesubsection}{\Roman{subsection}}




% %
% % Setup Task Sections; Option B
% %
% % Usage example:
% % \begin{task}
% %     Do that.
% %    
% %     \Solution
% %
% %     That is that.
% % \end{task}
% %


% \newcommand{\enterTaskHeader}[1]{
%     \nobreak\extramarks{}{Task \arabic{#1} continued on next page\ldots}\nobreak{}
%     \nobreak\extramarks{Task \arabic{#1} (continued)}{Task \arabic{#1} continued on next page\ldots}\nobreak{}
% }

% \newcommand{\exitTaskHeader}[1]{
%     \nobreak\extramarks{Task \arabic{#1} (continued)}{Task \arabic{#1} continued on next page\ldots}\nobreak{}
%     \stepcounter{#1}
%     \nobreak\extramarks{Task \arabic{#1}}{}\nobreak{}
% }

% \setcounter{secnumdepth}{0}
% \newcounter{partCounter}
% \newcounter{taskCounter}
% \setcounter{taskCounter}{1}
% \nobreak\extramarks{Task \arabic{taskCounter}}{}\nobreak{}

% %
% % This environment takes an optional argument. When given, it will adjust the
% % problem counter. This is useful for when the problems given for your
% % assignment aren't sequential. See the last 3 problems of this template for an
% % example.
% %

% \newenvironment{task}[1][-1]{
%     \ifnum#1>0
%         \setcounter{taskCounter}{#1}
%     \fi
%     \section{Task \arabic{taskCounter}}
%     \setcounter{partCounter}{1}
%     \enterTaskHeader{taskCounter}
% }{
%     \exitTaskHeader{taskCounter}
% }



%
% Setup Useful Commands 
%

% Useful for algorithms
\newcommand{\alg}[1]{\textsc{\bfseries \footnotesize #1}}
% Example: \alg{Quicksort($args$)}

% Exact differential dx (e.g. for integrals)
\newcommand{\dx}{\mathrm{d}x}

% Alias for the Solution section header
\newcommand{\Solution}{\textbf{\large Solution}}

% Probability commands: Expectation, Variance, Covariance, Bias
\newcommand{\E}{\mathrm{E}}
\newcommand{\Var}{\mathrm{Var}}
\newcommand{\Cov}{\mathrm{Cov}}
\newcommand{\Bias}{\mathrm{Bias}}
% Example: \[ \Var[X] \]



%%% Local Variables:
%%% mode: latex
%%% TeX-master: "common"
%%% End:
